/*******************************************************************************
 * Copyright (c) 2006 Cisco Technology, Inc and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Author: Andrew Cheadle, CrossCore Optimization Limited
 *
 * Contributors:
 *     Cisco Technology, Inc - Initial implementation
 *******************************************************************************/

package org.eclipseclp.saros.core.preferences;

/**
 * Constant definitions for plug-in preferences
 */
public class PreferenceConstants {
	public static final String SarosPlugin = "org.eclipseclp.saros";

	public static final String BuildPathPreferencePageId = "org.eclipseclp.saros.core.preferences.BuildPathPage";

	public static final String EngineInstallationPreferencePageId = "org.eclipseclp.saros.core.preferences.InstalledECLiPSeEnginesPage";

	public static final String CompilerPreferencePageId = "org.eclipseclp.saros.core.preferences.CompilerPage";

	public static final String OutputOptionsPreferencePageId = "org.eclipseclp.saros.core.preferences.ECLiPSeOutputOptionsPage";

	public static final String EngineSettingsPreferencePageId = "org.eclipseclp.saros.core.preferences.ECLiPSeEngineSettingsPage";

	public static final String GCPreferencePageId = "org.eclipseclp.saros.core.preferences.ECLiPSeGCSettingsPage";

	public static final String ProjectLaunchDefaultsPropertyPageId = "org.eclipseclp.saros.development.properties.ProjectLaunchDefaultsPage";

	public static final String ProjectEngineSettingsPropertyPageId = "org.eclipseclp.saros.development.properties.ECLiPSeEngineSettingsPage";

	public static final String ProjectGCSettingsPropertyPageId = "org.eclipseclp.saros.development.properties.ECLiPSeGCSettingsPage";

	public static final String ProjectOutputOptionsPropertyPageId = "org.eclipseclp.saros.development.properties.ECLiPSeOutputOptionsPage";

	public static final int ECLiPSeSupportedMajorVersion = 5;

	public static final int ECLiPSeSupportedMinorVersion = 10;

	public static final int ECLiPSeSupportedBuildVersion = 82;

	public static final String ECLiPSeEngineType = "engineType";

	public static final String ECLiPSeLauncher = "launcher";

	public static final String ECLiPSeInstallationName = "installName";

	public static final String ECLiPSeInstallationPath = "installPath";

	public static final String ECLiPSeLibraryPath = "libraryPath";

	public static final String ECLiPSeEngineArguments = "engineArgs";

	public static final String ECLiPSeFcompileTarget = "fcompile";

	public static final String ECLiPSeIcompileTarget = "icompile";

	public static final String ECLiPSeEciToHtml = "eci_to_html";

	public static final String ECLiPSeOutputFolders = "outputFolders";

	public static final String ECLiPSeProject = "project";

	public static final String ECLiPSeFolders = "folders";

	public static final String ECLiPSeSourceFolderName = "sourceFolder";

	public static final String ECLiPSeObjectFolderName = "objectFolder";

	public static final String ECLiPSeDocFolderName = "docFolder";

	public static final String ECLiPSeHtmlFolderName = "htmlFolder";

	public static final String EclExtension = "ecl";

	public static final String source = "src";

	public static final String object = "lib";

	public static final String documentation = "doc";

	public static final String html = "html";

	public static final String call = "call";

	public static final String intString = "int";

	public static final String More = "More";

	public static final String profile = "profile";

	public static final String portProfile = "port_profile";

	public static final String portProfiler = "port_profiler";

	public static final String LaunchFile = "LaunchFile";

	public static final String LaunchModule = "LaunchModule";

	public static final String LaunchQuery = "LaunchQuery";

	public static final String LaunchRunMode = "LaunchRunMode";

	public static final String HasLaunchQuery = "hasLaunchQuery";

	public static final String FileLaunchQuery = "FileLaunchQuery";

	public static final String True = "true";

	public static final String ProjectFolderOutput = "projectFolderOutput";

	public static final String ProjectName = "projectName";

	public static final String False = "false";

	public static final String IsProjectSpecificInstallation = "isProjectSpecificInstallation";

	public static final String IsProjectSpecificCompilationTarget = "isProjectSpecificCompilationTarget";

	public static final String IsProjectSpecificEngineSettings = "isProjectSpecificEngineSettings";

	public static final String IsProjectSpecificGCsettings = "isProjectSpecificGCsettings";

	public static final String IsProjectSpecificOutputOptions = "isProjectSpecificOutputOptions";

	public static final String adaptive = "adaptive";

	public static final String afterEventTimer = "after_event_timer";

	public static final String allDynamic = "all_dynamic";

	public static final String auxiliary = "auxiliary";

	public static final String bracketListExample = "[a,b|_]";

	public static final String brealExceptions = "breal_exceptions";

	public static final String builtIn = "built_in";

	public static final String callType = "call_type";

	public static final String checkSingletons = "check_singletons";

	public static final String coroutine = "coroutine";

	public static final String creep = "creep";

	public static final String debugCompile = "debug_compile";

	public static final String debugged = "debugged";

	public static final String debugging = "debugging";

	public static final String defaultInstalledEngine = "defaultEngine";

	public static final String definitionModule = "definition_module";

	public static final String defined = "defined";

	public static final String demon = "demon";

	public static final String dotListExample = ".(a,.(b,_)";

	public static final String dynamic = "dynamic";

	public static final int embedded = 0;

	public static final String enableInterrupts = "enable_interrupts";

	public static final String exported = "exported";

	public static final String external = "external";

	public static final String fixed = "fixed";

	public static final char fullDepthChar = 'D';

	public static final String gc = "gc";

	public static final String gcInterval = "gc_interval";

	public static final int gcIntervalDefault = 4194304;

	public static final String gcIntervalDict = "gc_interval_dict";

	public static final int gcIntervalDictDefault = 960;

	public static final String gcPolicy = "gc_policy";

	public static final String goalExpansion = "goal_expansion";

	public static final String imported = "imported";

	public static final String infixOpExample = "1+2";

	public static final String joopBootEco = "joop_boot.eco";

	public static final String leap = "leap";

	public static final String leash = "leash";

	public static final String lib = "lib";

	public static final String libraryPath = "library_path";

	public static final String local = "local";

	public static final String macroExpansion = "macro_expansion";

	public static final String mode = "mode";

	public static final String nodebug = "nodebug";

	public static final String noQuotingExample = "A";

	public static final String noSpaceExample = "a,b";

	public static final String notrace = "notrace";

	public static final String numberInstalledEngines = "num_engines";

	public static final String off = "off";

	public static final String on = "on";

	public static final int outOfProcess = 1;

	public static final String outputMode = "output_mode";

	public static final String outputModeDefault = "mPQ";

	public static final String preferRationals = "prefer_rationals";

	public static final String prefixOpExample = "+(1,2)";

	public static final String printDepth = "print_depth";

	public static final int printDepthDefault = 20;

	public static final String parallel = "parallel";

	public static final String prolog = "prolog";

	public static final String quotingExample = "'A'";

	public static final String real = "real";

	public static final int remote = 2;

	public static final String skip = "skip";

	public static final String spaceExample = "a, b";

	public static final String spy = "spy";

	public static final String spyterm = "spyterm";

	public static final String stability = "stability";

	public static final String stop = "stop";

	public static final String startTracing = "start_tracing";

	public static final String statc = "static"; // can't use 'static'

	public static final String tool = "tool";

	public static final String trace = "trace";

	public static final String type = "type";

	public static final String user = "user";

	public static final String var_123Example = "_123";

	public static final String var_Example = "_";

	public static final String variableNames = "variable_names";

	public static final String varX_123Example = "X_123";

	public static final String varXExample = "X";

	public static final String verbose = "verbose";

	public static final String version = "version";

	public static final String versionAsList = "version_as_list";

	public static final String virtual = "virtual";

	public static final String visible = "visible";

	public static final String Creep = "Creep";

	public static final String Skip = "Skip";

	public static final String Up = "Up";

	public static final String Leap = "Leap";

	public static final String Filter = "Filter";

	public static final String Abort = "Abort";;

	public static final String Nodebug = "Nodebug";

	public static final String ToInvoc = "ToInvoc";

	public static final String ToDepth = "ToDepth";

	public static final String ToPort = "ToPort";

	public static final String tracerCreepCommand = "c";

	public static final String tracerSkipCommand = "s";

	public static final String tracerLeapCommand = "n";

	public static final String tracerFilterCommand = "filter";

	public static final String tracerAbortCommand = "a";

	public static final String tracerNodebugCommand = "N";

	public static final String tracerToInvocCommand = "i";

	public static final String tracerToDepthCommand = "j";

	public static final String tracerToPortCommand = "z";

	public static final String tracerFailCommand = "f";

	public static final String tracerToSpecificPortCommand = "";

	public static final String exit = "exit";

	public static final String starExit = "*exit";

	public static final String redo = "redo";

	public static final String fail = "fail";

	public static final String resume = "resume";

	public static final String leave = "leave";

	public static final String delay = "delay";

	public static final String next = "next";

	public static final String unify = "unify";

	public static final String modify = "modify";

	public static final String elseString = "else";
}
