/*******************************************************************************
 * Copyright (c) 2006 Cisco Technology, Inc and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Author: Andrew Cheadle, CrossCore Optimization Limited
 *
 * Contributors:
 *     Cisco Technology, Inc - Initial implementation
 *******************************************************************************/

package org.eclipseclp.saros.core.preferences;

import org.eclipse.swt.SWT;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.layout.GridData;
import org.eclipse.swt.layout.GridLayout;
import org.eclipse.swt.widgets.Button;
import org.eclipse.swt.widgets.Label;

public class RadioCompositeBuilder {

	public static void build(Composite composite, Label label,
			Button radioButton1, Button radioButton2, Button radioButton3) {
		GridData gridData = new GridData(GridData.HORIZONTAL_ALIGN_FILL);
		gridData.grabExcessHorizontalSpace = true;
		GridLayout layout = new GridLayout();
		layout.numColumns = 4;
		composite.setLayout(layout);
		composite.setLayoutData(gridData);
		String labelText = label.getText();
		label.setText(longestLabel); //$NON-NLS-1$
		gridData = new GridData(GridData.HORIZONTAL_ALIGN_FILL);
		gridData.widthHint = label.computeSize(SWT.DEFAULT, SWT.DEFAULT).x;
		gridData.minimumWidth = label.computeSize(SWT.DEFAULT, SWT.DEFAULT).x;
		label.setLayoutData(gridData);
		label.setText(labelText); //$NON-NLS-1$
		String radioButton1Text = radioButton1.getText();
		radioButton1.setText(longestRadioLabel);
		int hint = radioButton1.computeSize(SWT.DEFAULT, SWT.DEFAULT).x;
		radioButton1.setText(radioButton1Text);
		gridData = new GridData();
		gridData.widthHint = hint;
		gridData.minimumWidth = hint;
		gridData.grabExcessHorizontalSpace = true;
		gridData.horizontalAlignment = org.eclipse.swt.layout.GridData.FILL;
		radioButton1.setLayoutData(gridData);
		gridData = new GridData();
		gridData.widthHint = hint;
		gridData.minimumWidth = hint;
		gridData.grabExcessHorizontalSpace = true;
		gridData.horizontalAlignment = org.eclipse.swt.layout.GridData.FILL;
		radioButton2.setLayoutData(gridData);
		gridData = new GridData();
		gridData.widthHint = hint;
		gridData.minimumWidth = hint;
		gridData.grabExcessHorizontalSpace = true;
		gridData.horizontalAlignment = org.eclipse.swt.layout.GridData.FILL;
		if (radioButton3 == null) {
			radioButton3 = new Button(composite, SWT.RADIO);
			radioButton3.setVisible(false);
		}
		radioButton3.setLayoutData(gridData);
	}

	public static void buildLabel(Label label) {
		String labelText = label.getText();
		label.setText(longestLabel); //$NON-NLS-1$
		GridData gridData = new GridData(GridData.HORIZONTAL_ALIGN_FILL);
		gridData.widthHint = label.computeSize(SWT.DEFAULT, SWT.DEFAULT).x;
		gridData.minimumWidth = label.computeSize(SWT.DEFAULT, SWT.DEFAULT).x;
		label.setLayoutData(gridData);
		label.setText(labelText); //$NON-NLS-1$	
	}

	public static void buildRadio(Button radioButton) {
		String radioText = radioButton.getText();
		radioButton.setText(longestRadioLabel); //$NON-NLS-1$
		GridData gridData = new GridData(GridData.HORIZONTAL_ALIGN_FILL);
		gridData.widthHint = radioButton.computeSize(SWT.DEFAULT, SWT.DEFAULT).x;
		gridData.minimumWidth = radioButton.computeSize(SWT.DEFAULT, SWT.DEFAULT).x;
		gridData.grabExcessHorizontalSpace = true;
		radioButton.setLayoutData(gridData);
		radioButton.setText(radioText); //$NON-NLS-1$	
	}

	private static final String longestLabel = PreferenceMessages
	.getString("ECLiPSeStrings.InstallationDirectory") + ":";

	// private static final String longestRadioLabel = PreferenceConstants.dotListExample;
	 private static final String longestRadioLabel = PreferenceConstants.checkSingletons;
}
