/*******************************************************************************
 * Copyright (c) 2006 Cisco Technology, Inc and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Author: Andrew Cheadle, CrossCore Optimization Limited
 *
 * Contributors:
 *     Cisco Technology, Inc - Initial implementation
 *******************************************************************************/

package org.eclipseclp.saros.development;

import org.eclipse.ui.plugin.*;
import org.eclipse.jface.resource.ImageDescriptor;
import org.eclipseclp.saros.development.editors.ECLiPSeExecutionEnvironment;
import org.osgi.framework.BundleContext;

/**
 * The main plugin class to be used in the desktop.
 */
public class Saros extends AbstractUIPlugin {

	//The shared instances.
	private static Saros plugin;
	private ECLiPSeExecutionEnvironment executionEnvironment;
	
	/**
	 * The constructor.
	 */
	public Saros() {
		plugin = this;
		executionEnvironment = null;
	}

	/**
	 * This method is called upon plug-in activation
	 */
	public void start(BundleContext context) throws Exception {
		super.start(context);
	}

	/**
	 * This method is called when the plug-in is stopped
	 */
	public void stop(BundleContext context) throws Exception {
		super.stop(context);
		plugin = null;
	}

	/**
	 * Returns the shared instance.
	 */
	public static Saros getDefault() {
		return plugin;
	}

	/**
	 * Returns an image descriptor for the image file at the given
	 * plug-in relative path.
	 *
	 * @param path the path
	 * @return the image descriptor
	 */
	public static ImageDescriptor getImageDescriptor(String path) {
		return AbstractUIPlugin.imageDescriptorFromPlugin("org.eclipseclp.saros.development", path);
	}

	public ECLiPSeExecutionEnvironment getExecutionEnvironmentSingleton() {
		return executionEnvironment;
	}

	public void setExecutionEnvironmentSingleton(
			ECLiPSeExecutionEnvironment executionEnvironment) {
		this.executionEnvironment = executionEnvironment;
	}
	
	public boolean getMultipleExecutionEnvironmentInstanceSupport() {
		return true;
	}
}
