/*******************************************************************************
 * Copyright (c) 2006 Cisco Technology, Inc and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Author: Andrew Cheadle, CrossCore Optimization Limited
 *
 * Contributors:
 *     Cisco Technology, Inc - Initial implementation
 *******************************************************************************/

package org.eclipseclp.saros.development.wizards;

import org.eclipse.jface.viewers.ISelection;
import org.eclipse.jface.wizard.WizardPage;
import org.eclipse.swt.SWT;
import org.eclipse.swt.widgets.Composite;

public class NewProjectWizardEnginePage extends WizardPage {

	public NewProjectWizardEnginePage(ISelection selection) {
		super("newSarosProjectWizardEnginePage");
		setTitle("New Saros Project");
		setDescription("Create a Saros project with the following ECliPSe engine settings:");
	}

	/**
	 * @see IDialogPage#createControl(Composite)
	 */
	public void createControl(Composite parent) {
		engineWizardComposite = new NewProjectWizardEngineComposite(parent, SWT.NONE);
		dialogChanged();
		setControl(engineWizardComposite);
	}

	/**
	 * Ensures that both text fields are set.
	 */

	private void dialogChanged() {
		updateStatus(null);
	}

	private void updateStatus(String message) {
		setErrorMessage(message);
		setPageComplete(message == null);
	}

	public NewProjectWizardEngineComposite getWizardComposite() {
		return engineWizardComposite;
	}

	private NewProjectWizardEngineComposite engineWizardComposite = null;
}
