/*******************************************************************************
 * Copyright (c) 2006 Cisco Technology, Inc and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Author: Andrew Cheadle, CrossCore Optimization Limited
 *
 * Contributors:
 *     Cisco Technology, Inc - Initial implementation
 *******************************************************************************/

package org.eclipseclp.saros.runtime;

import com.parctechnologies.eclipse.CompoundTerm;

public class ECLiPSeDelayedGoal {

	public ECLiPSeDelayedGoal(int state, int priority, int invocation,
			int lineLength, String lineText) {
		this.state = state;
		this.priority = priority;
		this.invocation = invocation;
		this.lineLength = lineLength;
		this.lineText = lineText;
	}

	static public ECLiPSeDelayedGoal parse(CompoundTerm term) {
		return new ECLiPSeDelayedGoal(((Integer) term.arg(1)).intValue(),
				((Integer) term.arg(2)).intValue(), ((Integer) term.arg(3))
						.intValue(), ((Integer) term.arg(4)).intValue(),
				(String) term.arg(5));
	}

	public int getInvocation() {
		return invocation;
	}

	public void setInvocation(int invocation) {
		this.invocation = invocation;
	}

	public int getLineLength() {
		return lineLength;
	}

	public void setLineLength(int lineLength) {
		this.lineLength = lineLength;
	}

	public String getLineText() {
		return lineText;
	}

	public void setLineText(String lineText) {
		this.lineText = lineText;
	}

	public int getPriority() {
		return priority;
	}

	public void setPriority(int priority) {
		this.priority = priority;
	}

	public int getState() {
		return state;
	}

	public void setState(int state) {
		this.state = state;
	}

	private int state;

	private int priority;

	private int invocation;

	private int lineLength;

	private String lineText;
}