/*******************************************************************************
 * Copyright (c) 2006 Cisco Technology, Inc and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Author: Andrew Cheadle, CrossCore Optimization Limited
 *
 * Contributors:
 *     Cisco Technology, Inc - Initial implementation
 *******************************************************************************/

package org.eclipseclp.saros.runtime;

import java.util.ArrayList;
import java.util.Collection;

import com.parctechnologies.eclipse.Atom;
import com.parctechnologies.eclipse.CompoundTerm;

public class ECLiPSeTraceLine {

	public ECLiPSeTraceLine(int depth, String style, String lineText,
			int invocation, String port, int priority, String filename,
			int sourceStart, int sourceEnd) {
		this.depth = depth;
		this.style = style;
		this.lineText = lineText;
		this.invocation = invocation;
		this.port = port;
		this.priority = priority;
		this.filename = filename;
		this.sourceStart = sourceStart;
		this.sourceEnd = sourceEnd;
	}

	static public ECLiPSeTraceLine parse(Collection term) {
		ArrayList info = new ArrayList(term);
		Object filenameObject = info.get(6);
		if (filenameObject instanceof Atom) {
			filenameObject = null;
		} else {
			filenameObject = ((Atom) (((CompoundTerm) filenameObject).arg(1)))
					.functor();
		}
		return new ECLiPSeTraceLine(((Integer) info.get(0)).intValue(),
				(String) info.get(1), (String) info.get(2), ((Integer) info
						.get(3)).intValue(), ((Atom) info.get(4)).functor(),
				((Integer) info.get(5)).intValue(), (String) filenameObject,
				((Integer) info.get(7)).intValue(), ((Integer) info.get(8))
						.intValue());
	}

	public int getDepth() {
		return depth;
	}

	public void setDepth(int depth) {
		this.depth = depth;
	}

	public int getInvocation() {
		return invocation;
	}

	public void setInvocation(int invocation) {
		this.invocation = invocation;
	}

	public String getLineText() {
		return lineText;
	}

	public void setLineText(String lineText) {
		this.lineText = lineText;
	}

	public String getPort() {
		return port;
	}

	public void setPort(String port) {
		this.port = port;
	}

	public int getPriority() {
		return priority;
	}

	public void setPriority(int priority) {
		this.priority = priority;
	}

	public String getStyle() {
		return style;
	}

	public void setStyle(String style) {
		this.style = style;
	}

	public String getFilename() {
		return filename;
	}

	public void setFilename(String filename) {
		this.filename = filename;
	}

	public int getSourceEnd() {
		return sourceEnd;
	}

	public void setSourceEnd(int sourceEnd) {
		this.sourceEnd = sourceEnd;
	}

	public int getSourceStart() {
		return sourceStart;
	}

	public void setSourceStart(int sourceStart) {
		this.sourceStart = sourceStart;
	}

	private int depth;

	private String style;

	private String lineText;

	private int invocation;

	private String port;

	private int priority;

	private String filename;

	private int sourceStart;

	private int sourceEnd;
}