/*******************************************************************************
 * Copyright (c) 2006 Cisco Technology, Inc and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Author: Andrew Cheadle, CrossCore Optimization Limited
 *
 * Contributors:
 *     Cisco Technology, Inc - Initial implementation
 *******************************************************************************/

package org.eclipseclp.saros.runtime;

import java.util.ArrayList;

public class InspectorInstance {
	public InspectorInstance(String source, int structureDepth, int printDepth) {
		this.source = source;
		this.structureDepth = structureDepth;
		this.printDepth = printDepth;
		ArrayList path = new ArrayList();
		path.add("1");
		rootNode = new InspectorNode(this, path);
	}

	public int getStructureDepth() {
		return structureDepth;
	}

	public void setStructureDepth(int structureDepth) {
		this.structureDepth = structureDepth;
	}

	public int getPrintDepth() {
		return printDepth;
	}

	public void setPrintDepth(int printDepth) {
		this.printDepth = printDepth;
	}

	public String getSource() {
		return source;
	}

	public void setSource(String source) {
		this.source = source;
	}

	public InspectorNode getRootNode() {
		return rootNode;
	}

	public void setRootNode(InspectorNode rootNode) {
		this.rootNode = rootNode;
	}

	private String source;

	private int structureDepth;

	private int printDepth;

	private InspectorNode rootNode = null;
}
