/*******************************************************************************
 * Copyright (c) 2006 Cisco Technology, Inc and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Author: Andrew Cheadle, CrossCore Optimization Limited
 *
 * Contributors:
 *     Cisco Technology, Inc - Initial implementation
 *******************************************************************************/

package org.eclipseclp.saros.runtime;

import java.util.ArrayList;

public class InspectorNode {
	public InspectorNode(InspectorInstance inspector, ArrayList path) {
		this.inspector = inspector;
		this.path = path;
		children = new ArrayList();
	}

	public InspectorNode(InspectorInstance inspector, String printTerm,
			String summary, String type, int arity, ArrayList path) {
		this.inspector = inspector;
		this.printTerm = printTerm;
		this.summary = summary;
		this.type = type;
		this.arity = arity;
		this.path = path;
		children = new ArrayList();
	}

	public InspectorInstance getInspector() {
		return inspector;
	}

	public void setInspector(InspectorInstance inspector) {
		this.inspector = inspector;
	}

	public int getArity() {
		return arity;
	}

	public void setArity(int arity) {
		this.arity = arity;
	}

	public ArrayList getPath() {
		return path;
	}

	public void setPath(ArrayList path) {
		this.path = path;
	}

	public String getPrintTerm() {
		return printTerm;
	}

	public void setPrintTerm(String printTerm) {
		this.printTerm = printTerm;
	}

	public String getSummary() {
		return summary;
	}

	public void setSummary(String summary) {
		this.summary = summary;
	}

	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}

	public ArrayList getChildren() {
		return children;
	}

	public void setChildren(ArrayList children) {
		this.children = children;
	}

	public void addChild(InspectorNode child) {
		children.add(child);
	}

	private InspectorInstance inspector = null;

	private String printTerm = null;

	private String summary = null;

	private String type = null;

	private int arity = -1;

	private ArrayList path = null;

	private ArrayList children = null;
}