/*******************************************************************************
 * Copyright (c) 2006 Cisco Technology, Inc and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Author: Andrew Cheadle, CrossCore Optimization Limited
 *
 * Contributors:
 *     Cisco Technology, Inc - Initial implementation
 *******************************************************************************/

package org.eclipseclp.saros.runtime;

import org.eclipse.jface.dialogs.InputDialog;
import org.eclipse.jface.window.Window;

public class RunnableInputDialog implements Runnable {

	public RunnableInputDialog() {
	}

	public void run() {
		InputDialog d = new InputDialog(null, "Saros ECLiPSe Input", 
				                        "Input:", null, null);
		d.setBlockOnOpen(true);
		if (d.open() == Window.OK) {
			input = d.getValue();
		} else {
			input = new String("");
		}
	}

	public String getInput() {
		return input;
	}

	private String input = null;
}
