/*******************************************************************************
 * Copyright (c) 2006 Cisco Technology, Inc and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Author: Andrew Cheadle, CrossCore Optimization Limited
 *
 * Contributors:
 *     Cisco Technology, Inc - Initial implementation
 *******************************************************************************/

package org.eclipseclp.saros.runtime;

import com.parctechnologies.eclipse.CompoundTerm;

public interface ToECLiPSeInteractionInterface {
	public abstract void sendToplevelInCommand(String command, String query);

	public abstract void requestInterrupt();

	public void interruptingRpc(CompoundTerm command, String failMessage);

	public void interruptingRpc(CompoundTerm command, String failMessage,
			AsynchronousRPCresult successContinuation,
			Runnable failureContinuation);

	public abstract void sendTracerCommand(CompoundTerm preCommandRpc,
			CompoundTerm command);

	public abstract boolean statisticsCollecting();

	public abstract void setStatisticsCollecting(boolean enabled);
}
